Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.soap
Interface AdminService

All Superinterfaces:
  javax.xml.rpc.Service

All Known Implementing Classes:
  AdminServiceLocator

public interface AdminService
extends javax.xml.rpc.Service

Method Summary
`Admin` | `getAdmin()`
`Admin` | `getAdmin(java.net.URL portAddress)`
`java.lang.String` | `getAdminAddress()`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getPort, getPort, getPorts, getServiceName, getTypeMappingRegistry, getWSDLDocumentLocation`

Method Detail

### getAdminAddress

    public java.lang.String getAdminAddress()

### getAdmin

    public Admin getAdmin()
                   throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

### getAdmin

    public Admin getAdmin(java.net.URL portAddress)
                   throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.